import request from '@/utils/request'

// 查询app-线下订单商品列表
export function listMallAppOrderGoods(query) {
  return request({
    url: '/mall/mallAppOrderGoods/list',
    method: 'get',
    params: query
  })
}

// 查询app-线下订单商品详细
export function getMallAppOrderGoods(id) {
  return request({
    url: '/mall/mallAppOrderGoods/' + id,
    method: 'get'
  })
}

// 新增app-线下订单商品
export function addMallAppOrderGoods(data) {
  return request({
    url: '/mall/mallAppOrderGoods',
    method: 'post',
    data: data
  })
}

// 修改app-线下订单商品
export function updateMallAppOrderGoods(data) {
  return request({
    url: '/mall/mallAppOrderGoods',
    method: 'put',
    data: data
  })
}

// 删除app-线下订单商品
export function delMallAppOrderGoods(id) {
  return request({
    url: '/mall/mallAppOrderGoods/' + id,
    method: 'delete'
  })
}

// 导出app-线下订单商品
export function exportMallAppOrderGoods(query) {
  return request({
    url: '/mall/mallAppOrderGoods/export',
    method: 'get',
    params: query
  })
}

// 查询app-线下订单商品列表
export function getMallAppOrderGoodsList(query) {
  return request({
    url: '/mall/mallAppOrderGoods/getMallAppOrderGoodsList',
    method: 'get',
    params: query
  })
}
